
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL学习(四)——外键 / 憋错料</title>

    <meta name="description" content="MySQL学习(四)——外键 1.比方现在有两张表&quot;分类表&quot;和&quot;商品表&quot;,为了表明商品属于哪个分类,通常我们将在商品表上添加一列,用于存放分类cid的信息,此列称为:外键. 此时分类表category称为主表,cid称为主键:商品表products称为从表,category_id称为外键. 外键特点:1)从表外键的值是对主表主键的引用 2)从表外键类型必须与主表主键一致. 使用外键的目的:保证数据的完整性 2.首先在命令提示符内创建一个数据库web09,并创建两张表category和p ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">MySQL学习(四)——外键</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>1、比方现在有两张表“分类表”和“商品表”，为了表明商品属于哪个分类，通常我们将在商品表上添加一列，用于存放分类cid的信息，此列称为：外键。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzgxNzEyOC8yMDE3MDkvODE3MTI4LTIwMTcwOTA3MTQ0MzI1Mzk3LTE1MjMyNjA4MTkucG5n.jpg"></p>
<p>此时分类表category称为主表，cid称为主键；商品表products称为从表，category_id称为外键。</p>
<p>外键特点：1）从表外键的值是对主表主键的引用</p>
<p>　　　　　2）从表外键类型必须与主表主键一致。</p>
<p>使用外键的目的：保证数据的完整性</p>
<p>2、首先在命令提示符内创建一个数据库web09，并创建两张表category和product，语句如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzgxNzEyOC8yMDE3MDkvODE3MTI4LTIwMTcwOTA3MTQ0OTMxOTEzLTE1NTI2NTU1ODYucG5n.jpg"></p>
<p>分别插入多条数据</p>
<p>eg.insert into category(cid,cname) values(‘c001‘,‘jiadian‘);</p>
<p>insert into product(pid,pname,price,category_id) values(‘p001‘,‘lenovo‘,‘5000‘,‘c001‘);</p>
<p>显示如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzgxNzEyOC8yMDE3MDkvODE3MTI4LTIwMTcwOTA3MTQ1NDExNDEzLTE1MDAzNzI4NC5wbmc=.jpg"></p>
<p>3、声明外键约束</p>
<p>语法：alter table 从表 add [constraint] [外键名称] foreign key (从表外键字段名) references 主表 (主表的主键);</p>
<p>[外键名称]用于删除外键约束的，一般建议"_fk"结尾</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzgxNzEyOC8yMDE3MDkvODE3MTI4LTIwMTcwOTA3MTUwMDIxMzUxLTEyNjA3NTk4Ni5wbmc=.jpg"></p>
<p>约束声明后，如果我想删除category表中cid=c003的数据，删除不了</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzgxNzEyOC8yMDE3MDkvODE3MTI4LTIwMTcwOTA3MTUwMTM1NDc2LTUwNjcwNjcucG5n.jpg"></p>
<p>4、解除约束</p>
<p>语法：alter table 从表 drop foreign key 外键名称</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzgxNzEyOC8yMDE3MDkvODE3MTI4LTIwMTcwOTA3MTUwNTM2NDI5LTUxNjkwNjIwOC5wbmc=.jpg"></p>
<p>继续删除category表中cid=c003的数据，可以删除</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzgxNzEyOC8yMDE3MDkvODE3MTI4LTIwMTcwOTA3MTUwOTQwNjk0LTE2NjAxMTMwMDEucG5n.jpg"></p>
<p>注意：从表外键不能添加主表中不存在的记录</p>
<p>　　　主表不能删除从表中已经引用的记录。</p>
<p>5、一对多建表原则：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzgxNzEyOC8yMDE3MDkvODE3MTI4LTIwMTcwOTA3MTYxMzU4MDA3LTE3NzA0MTIwMzMucG5n.jpg"></p>
<p>6、多对多建表原则：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzgxNzEyOC8yMDE3MDkvODE3MTI4LTIwMTcwOTA3MTYxNTA2MjcyLTEzODgzMDE4NDgucG5n.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 13:37:53 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/int/" title="int">int</a>, <a href="https://www.biecuoliao.com/tag/%e5%bc%95%e7%94%a8/" title="引用">引用</a>, <a href="https://www.biecuoliao.com/tag/es2017/" title="es2017">es2017</a>, <a href="https://www.biecuoliao.com/tag/%e5%88%a0%e9%99%a4/" title="删除">删除</a>, <a href="https://www.biecuoliao.com/tag/%e4%b8%aa%e6%95%b0/" title="个数">个数</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%a6%e4%b9%a0/" title="学习">学习</a>, <a href="https://www.biecuoliao.com/tag/product/" title="product">product</a>, <a href="https://www.biecuoliao.com/tag/products/" title="products">products</a>, <a href="https://www.biecuoliao.com/tag/%e5%a4%96%e9%94%ae%e7%ba%a6%e6%9d%9f/" title="外键约束">外键约束</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>MySQL学习(四)——外键的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MX21rV3.html" rel="bookmark">MySQL学习9：详解MySQL中的外键约束</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇主要讲解MySQL中的外键约束. 一约束概述 创建约束的目的就是保证数据的完整性和一致性.约束根据约束针对的字段的数目的多少划分为表级约束和列级 约束. 如果约束按照功能来划分的话刻印划分为:NOT NULL(非空约束).PRIMARY KEY(主键约束).UNIQUE KEY(唯一约束).DEFAULT(默认约束)和FOREIGN KEY(外键约束). 在前面我们已经初步涉及到了除外键约束之外的四个约束,这一次我们来谈谈最复杂的外键约束. 二外键约束的要求 FOREIGN KEY(外键约束			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mgy7Lp3.html" rel="bookmark">Mysql学习总结（19）&mdash;&mdash;Mysql无法创建外键的原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在MySQL中创建外键时,经常会遇到问题而失败,这是因为Mysql中还有很多细节需要我们去留意,我自己总结并查阅资料后列出了以下几种常见原因. 1.  两个字段的类型或者大小不严格匹配.例如,如果一个是int(10),那么外键也必须设置成int(10),而不是int(11),也不能是tinyint.另外,你还必须确定两个字段是否一个为 signed,而另一个又是unsigned(即:无符号),这两字段必须严格地一致匹配,更多关于signed和unsigned的信息,请参阅:http://www.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDlO1YM.html" rel="bookmark">mysql foreign key&lpar;外键&rpar; 说明与实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一,什么是foreign key,及其完整性 个人觉得,foreign key就是表与表之间的某种约定的关系,由于这种关系的存在,我们能够让表与表之间的数据,更加的完整,关连性更强.关于完整性,关连性我举个例子,大家就会明白了. 有二张表,一张是用户表,一张是订单表: 1,如果我删除了用户表里的用户,那么订单表里面根这个用户有关的数据,就成了无头数据了,不完整了. 2,如果我在订单表里面,随便插入了一条数据,这个订单在用户表里面,没有与之对应的用户.这样数据也不完整了. 如果有外键的话,就方便多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Yvpna3.html" rel="bookmark">Navicat在MySQL中添加外键详细过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Navicat在MySQL中添加外键详细过程   /** *@author blovedr *功能: Navicat在MySQL中添加外键 *日期: 2018年6月21日   22:42 *注释: 学习数据库MySQL的点点记录, 谢谢网上各位大神分享经验,欢迎各位大神批评指导与交流. */   1. 打开Navicat连接上数据库, 并建立新的数据库:&quot;test&quot;: 2. 在数据库&quot;test&quot;中创建两个表&quot;emp&quot;(主表)和&quot;dept			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzaWNJ4.html" rel="bookmark">mysql怎么定义外键</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库mysql 建立外键的前提: 本表的列必须与外键类型相同(外键必须是外表主键). 外键作用: 使两张表形成关联,外键只能引用外表中的列的值! 指定主键关键字: foreign key(列名) 引用外键关键字: references &lt;外键表名&gt;(外键列名) 事件触发限制: on delete和on update , 可设参数cascade(跟随外键改动), restrict(限制外表中的外键改动),set Null(设空值),set Default(设默认值),[默认]no action			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lrDqZ4.html" rel="bookmark">Mysql无法创建外键的原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL无法创建外键的原因 1.  两个字段的类型或者大小不严格匹配.例如,如果一个是int(10),那么外键也必须设置成int(10),而不是int(11),也不能是tinyint.另外,你还必须确定两个字段是否一个为 signed,而另一个又是unsigned(即:无符号),这两字段必须严格地一致匹配,更多关于signed和unsigned的信息,请参阅:http://www.verysimple.com/blog/?p=57 2. 试图设置外键的字段没有建立起索引,或者不是一个prima			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4A6pJdM.html" rel="bookmark">MySQL里创建外键时错误的解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				--MySQL里创建外键时错误的解决--------------------------------2014/04/30在MySQL里创建外键时(Alter table xxx add constraint fk_xxx foreign key),提示错误,但只提示很简单的信息:ERROR 1005 (HY000): Can't create table '.\env_mon\#sql-698_6.frm' (errno: 150).根本起不到解决问题的作用.要看错误的详细提示,可以使用命令:(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Rwoqy3.html" rel="bookmark">转！！！Mysql无法创建外键的原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Mysql中创建外键时,经常会遇到问题而失败,这是因为Mysql中还有很多细节需要我们去留意,我自己总结并查阅资料后列出了以下几种常见原因. 1.  两个字段的类型或者大小不严格匹配.例如,如果一个是int(10),那么外键也必须设置成int(10),而不是int(11),也不能是tinyint.另外,你还必须确定两个字段是否一个为 signed,而另一个又是unsigned(即:无符号),这两字段必须严格地一致匹配,更多关于signed和unsigned的信息,请参阅:http://www.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nRovX0.html" rel="bookmark">MySQL数据库建立外键失败的原因总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://database.51cto.com/art/201108/280088.htm 在MySQL数据库创建外键时,经常会发生一些错误,这是一件很令人头疼的事.一个典型的错误就是:Can’t create table... 的错误.在很多实例中,这种错误的发生都是因为mysql一直以来都不能很好的支持的关系的问题, 更不幸的是它也并没有指明到底是哪一个问题会导致上面那种错误,下面我把导致这个可怕的150错误的常见原因列出来了,并且我以可能性的大小作了排序,已知的原因: 1.两个字段的类			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r4J15V3.html" rel="bookmark" class="title">socket客户端和服务器端</a>
					<div>
						服务器端: #!/usr/bin/env python #-*- coding:utf-8 -*- import socket sk=socket.socket() sk.bind(('127.0.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wr5dR0.html" rel="bookmark" class="title">【驱动】&mdash;&mdash;seq&lowbar;file使用指南</a>
					<div>
						seq_file只是在普通的文件read中加入了内核缓冲的功能,从而实现顺序多次遍历,读取大数据量的简单接口.seq_file一般只提供只读接口,在使用seq_file操作时,主要靠下述四个操作来完成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQe2b3.html" rel="bookmark" class="title">sql server常见配置函数及其功能</a>
					<div>
						配置函数用于返回配置选项的设置信息,常见如下: [email protected]@DATEFIRST 针对会话返回SET DATEFIRST的当前值,set  datefirst表示指定的每周的第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35bONo4.html" rel="bookmark" class="title">在Spark程序中使用压缩</a>
					<div>
						当大片连续区域进行数据存储并且存储区域中数据重复性高的状况下,数据适合进行压缩.数组或者对象序列化后的数据块可以考虑压缩.所以序列化后的数据可以压缩,使数据紧缩,减少空间开销. 1. Spark对压缩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enY7v3.html" rel="bookmark" class="title">OpenCASCADE Camera</a>
					<div>
						OpenCASCADE Camera [email protected] Abstract. OpenCASCADE introduce a new class Graphic3d_Camera fo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjAyY0.html" rel="bookmark" class="title">Lucene&sol;Solr搜索引擎开发系列 - 第2章 Solr安装与部署（Tomcat篇）</a>
					<div>
						一.安装环境 图1-1 Tomcat和Solr的版本     我本机目前使用的Java版本为JDK 1.8,因为Solr 4.9要求Java版本为1.7+,请注意. 二.Solr部署到Tomcat流程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz56p24.html" rel="bookmark" class="title">Ruby中的require、load、autoload</a>
					<div>
						  require.load.autoload是Kernel模块中定义的方法,由于Class类和Object类都混入了Kernel模块,所以无论self是对象还是类,都可以调用这些方法. 这三个方法都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgQNw3.html" rel="bookmark" class="title">HTML5APP实战&lpar;1&rpar;&colon; 围住神经猫&lpar;二&rpar;</a>
					<div>
						之前的文章分析了围住神经猫游戏的&quot;偶然性&quot;,这篇文章主要介绍通过Gamebuilder + CanTk来完成整个游戏的设计开发. 1.新建项目删除场景中的球和草地,并放置背景图片, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWGGBM.html" rel="bookmark" class="title">Android基础--键值对存储&lpar;SharedPreferences&rpar;</a>
					<div>
						SharedPreferences用于将键值对形式的数据存储到当前应用专属的存储空间中 package com.itheima.sharedpreferences; import android.os ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGKoVM.html" rel="bookmark" class="title">oracle10g获取Date类型字段无时分秒解决办法！</a>
					<div>
						一般的数据库中,DATE字段仅仅表示日期,不包括日期信息,而Oracle数据库中的DATE数据类型是包括日期.时间的,对于不同的Oracle jdbc驱动版本,对于该问题的处理都有些区别. 最近使用  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MylPeA4.html" rel="bookmark" class="title">tp框架命名空间</a>
					<div>
						命名空间:相当于虚拟的目录在tp里面主要为了实现自动加载类 TP框架下有一个初始命名空间(相当于根目录)初始命名空间:ThinkPHP\Library 在初始命名空间下又包含很多根命名空间这些根命名空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoaqnQ3.html" rel="bookmark" class="title">iOS 集成银联支付（绕过文档的坑&comma;快速集成）</a>
					<div>
						iOS 集成银联支付(绕过文档的坑,快速集成) 本文是投稿文章,作者:南栀倾寒当初集成支付宝的时候,觉得见了这么丑的代码,加上这么难找的下载地址,在配上几乎为零的文档,寒哥就要吐血了. 下午去集成银联 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moay8D3.html" rel="bookmark" class="title">Wow6432Node &lbrack;转载&rsqb;</a>
					<div>
						64 位版本 Windows 中的注册表分为 32 位注册表项和 64 位注册表项.许多 32 位注册表项与其相应的 64 位注册表项同名,反之亦然. 64 位版本 Windows 包含的默认 64  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zzdoM.html" rel="bookmark" class="title">更新html技术比较</a>
					<div>
						document.write() document对象的write方法可以很简单的向页面的源代码中添加内容,不过不推荐使用. 优点:可以快速简单的让初学者理解如何向页面添加内容: 缺点: 只有页面初始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjjwY0.html" rel="bookmark" class="title">创建默认的package&period;json</a>
					<div>
						使用如下命令,可以创建一个默认的 package.json npm  init 创建后如下图所示:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEZ7A4.html" rel="bookmark" class="title">Hibernate 缓存介绍</a>
					<div>
						hibernate缓存包括一级缓存,二级缓存以及查询缓存 一级缓存 一级缓存是Session的缓存,由于session对象的生命周期对应于一个事务,所有session的缓存是事务范围的缓存.第一级缓存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NyrO23.html" rel="bookmark" class="title">网上找来的jquery之post</a>
					<div>
						url,[data],[callback],[type]url:发送请求地址.data:待发送 Key/value 参数.callback:发送成功时回调函数.type:返回内容格式,xml, htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YQGwO0.html" rel="bookmark" class="title">Attempting to JIT compile method &amp;&num;39&semi;&lpar;wrapper delegate-invoke&rpar; System&period;Reflectio错误</a>
					<div>
						unity使用Litjson后导出xcode工程报错Attempting to JIT compile method '(wrapper delegate-invoke) System.Reflect ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWjp9y4.html" rel="bookmark" class="title">遍历Map集合的方法</a>
					<div>
						for(String k:maps.keySet()){            System.out.println(k+&quot;:&quot;+maps.get(k));        }2.通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xekNL3.html" rel="bookmark" class="title">小知识：SPI四种模式区别【转】</a>
					<div>
						转自:http://home.eeworld.com.cn/my/space-uid-80086-blogid-119198.html spi四种模式SPI的相位(CPHA)和极性(CPOL)分别可以 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
